[arch-commits] Commit in python-wand/repos (2 files)

Felix Yan felixonmars at archlinux.org
Mon Jan 21 11:55:29 UTC 2019


    Date: Monday, January 21, 2019 @ 11:55:27
  Author: felixonmars
Revision: 425999

archrelease: copy trunk to community-testing-any

Added:
  python-wand/repos/community-testing-any/
  python-wand/repos/community-testing-any/PKGBUILD
    (from rev 425998, python-wand/trunk/PKGBUILD)

----------+
 PKGBUILD |   33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

Copied: python-wand/repos/community-testing-any/PKGBUILD (from rev 425998, python-wand/trunk/PKGBUILD)
===================================================================
--- community-testing-any/PKGBUILD	                        (rev 0)
+++ community-testing-any/PKGBUILD	2019-01-21 11:55:27 UTC (rev 425999)
@@ -0,0 +1,33 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-wand
+pkgver=0.5.0
+pkgrel=1
+pkgdesc="Ctypes-based simple MagickWand API binding for Python"
+url="https://github.com/emcconville/wand"
+license=('MIT')
+arch=('any')
+depends=('imagemagick' 'libxml2' 'python')
+makedepends=('python-setuptools')
+checkdepends=('python-pytest-runner' 'python-pytest-xdist' 'python-memory-profiler' 'python-psutil'
+              'ghostscript' 'librsvg')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/emcconville/wand/archive/$pkgver.tar.gz")
+sha512sums=('84c30608c5df5cd8803457fe9cd10015349365408134092bade457f5a66978d6fc81701131a7308ca1c0340bcb819732e348cd9ef169cfd9d03c88266a0c35fe')
+
+build() {
+  cd wand-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd wand-$pkgver
+  python setup.py pytest || warning "Tests failed"
+}
+
+package() {
+  cd wand-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+
+  rm "$pkgdir"/usr/README.rst
+}



More information about the arch-commits mailing list